/**
 * 
 */
package org.gcube.accounting.datamodel.deprecationmanagement.validators;

import java.io.Serializable;

import org.gcube.accounting.datamodel.UsageRecord;
import org.gcube.accounting.datamodel.decorators.ValidatorAction;
import org.gcube.accounting.datamodel.validations.validators.NotEmptyIfNotNullValidator;
import org.gcube.accounting.exception.InvalidValueException;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class MoveToAggregatedUsageRecordIdValidator implements ValidatorAction {
	
	/**
	 * {@inheritDoc}
	 */
	@Override
	public Serializable validate(String key, Serializable value, UsageRecord usageRecord) throws InvalidValueException  {
		NotEmptyIfNotNullValidator neinnv = new NotEmptyIfNotNullValidator();
		value = neinnv.validate(key, value, usageRecord);
		usageRecord.setAggregatedUsageRecordId((String) value);
		return value;
	}
	
}
